package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "t_core_secretkey"
)
public class TCoreSecretkey extends TProEntity {
   private String publickey;
   private String privatekey;
   private String secret_key_name;
   @Column(
      length = 500
   )
   private String sectet_key_value;
   private String encryption_id;
   @Transient
   private String encryptionname;

   public String getSecret_key_name() {
      return this.secret_key_name;
   }

   public void setSecret_key_name(String secret_key_name) {
      this.secret_key_name = secret_key_name;
   }

   public String getSectet_key_value() {
      return this.sectet_key_value;
   }

   public void setSectet_key_value(String sectet_key_value) {
      this.sectet_key_value = sectet_key_value;
   }

   public String getEncryption_id() {
      return this.encryption_id;
   }

   public void setEncryption_id(String encryption_id) {
      this.encryption_id = encryption_id;
   }

   public String getPublickey() {
      return this.publickey;
   }

   public void setPublickey(String publickey) {
      this.publickey = publickey;
   }

   public String getPrivatekey() {
      return this.privatekey;
   }

   public void setPrivatekey(String privatekey) {
      this.privatekey = privatekey;
   }

   public String getEncryptionname() {
      return this.encryptionname;
   }

   public void setEncryptionname(String encryptionname) {
      this.encryptionname = encryptionname;
   }
}
